Skip to main content
POST
/
api
/
v1
/
presets
/
{preset_id}
/
clone
Clone Preset
curl --request POST \
  --url https://api.example.com/api/v1/presets/{preset_id}/clone \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "",
  "flags": {}
}
'
{
  "base_preset_id": "<string>",
  "description": "<string>",
  "flags": {},
  "id": "<string>",
  "is_builtin": true,
  "name": "<string>",
  "owner_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

preset_id
string
required

Body

application/json
name
string
required
description
string
default:""
flags
Flags · object

Response

Successful Response

base_preset_id
string | null
required
description
string | null
required
flags
Flags · object
required
id
string
required
is_builtin
boolean
required
name
string
required
owner_id
string | null
required
created_at
string<date-time> | null
updated_at
string<date-time> | null
Last modified on May 8, 2026